abstract class ApiEndpoints {
  static const String baseUrl = 'https://syncrow-dev.azurewebsites.net';
  // static const String baseUrl = 'http://100.107.182.63:4001'; //Localhost
//https://syncrow-staging.azurewebsites.net
////////////////////////////////////// Authentication ///////////////////////////////
  static const String signUp = '$baseUrl/authentication/user/signup';
  static const String login = '$baseUrl/authentication/user/login';
  static const String forgetPassword =
      '$baseUrl/authentication/user/forget-password';
  static const String sendOtp = '$baseUrl/authentication/user/send-otp';
  static const String verifyOtp = '$baseUrl/authentication/user/verify-otp';
  static const String getRegion = '$baseUrl/region';
  static const String visitorPassword = '$baseUrl/visitor-password';
  static const String getDevices = '$baseUrl/visitor-password/devices';

  static const String sendOnlineOneTime =
      '$baseUrl/visitor-password/temporary-password/online/one-time';
  static const String sendOnlineMultipleTime =
      '$baseUrl/visitor-password/temporary-password/online/multiple-time';

//offline Password
  static const String sendOffLineOneTime =
      '$baseUrl/visitor-password/temporary-password/offline/one-time';
  static const String sendOffLineMultipleTime =
      '$baseUrl/visitor-password/temporary-password/offline/multiple-time';

  static const String getUser = '$baseUrl/user/{userUuid}';

  ////// Devices Management ////////////////

  static const String getAllDevices = '$baseUrl/device';
  static const String getDeviceStatus =
      '$baseUrl/device/{uuid}/functions/status';

  static const String deviceControl = '$baseUrl/device/{uuid}/control';
  static const String gatewayApi = '/device/gateway/{gatewayUuid}/devices';
  static const String openDoorLock = '/door-lock/open/{doorLockUuid}';

  static const String getDeviceLogs =
      '$baseUrl/device/report-logs/{uuid}?code={code}';
}
